### Method

# Vips Image encode

#### Declaration [src]

    int
    vips_image_encode (
      VipsImage* in,
      VipsImage** out,
      VipsCoding coding
    )

#### Description [src]

A convenience function to pack to a coding. The inverse of `vips_image_decode()`.

See also

`vips_image_decode()`.

#### Parameters

`out`

  Type: `VipsImage`

  Write to this image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`coding`

  Type: `VipsCoding`

  Coding to apply.

#### Return value

Type: `int`

0 on success, or -1 on error.